<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>集合-并集</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
		function Set(){
    		let items={};
    		this.has=function(){
    			return value in items;
			};
			this.add=function(){
			    if(!this.has(value)){
			        items[value]=value;
			        return true;
			    }
			    return false;
			};
			this.remove=function(){
			    if(!this.has(value)){
			        delete items[value];
			        return true;
			    }
			    return fasle;
			};
			this.clear=function(){
			    items={};
			};
			this.clear=function(){
			    return Object.keys(items).length;
			};
			this.values=function(){
			    let values=[];
			    for(let i=0,keys=Object.keys(items);i<keys.length;i++){
			        valus.push(items[key[i]]);
			    }
			    return values;
			};
			//并集
			this.union=function(otherSet){
				let unionSet=new Set();
				let values=this.values();
				for(let i=0;i<valus.length;i++){
					unionSet.add(values[i]);
				}
				values=otherSetValues();
				for(let i=0;i<values.length;i++){
					unionSet.add(values[i]);
				}
				return unionSet;
			};
			//交集
			this.interSection=function(otherSet){
				let intersectionSet=new Set();
				let values=this.values();
				for(let i=0;i<valus.length;i++){
					if(otherSet.has(values[i])){
						intersectionSet.add(values[i]);
					}
				}
				return intersectionSet;
			};
			//差集
			this.diffence=function(otherSet){
				let diffenceSet=new Set();
				let values=this.values();
				for(let i=0;i<valus.length;i++){
					if(otherSet.has(values[i])){
						diffenceSet.add(values[i]);
					}
				}
				return diffenceSet;
			};
			//子集
			this.subset=function(otherSet){
				if(this.size()>otherSet.size()){
					return false;
				}else{
					let values=this.values();
					for(let i=0;i<valus.length;i++){
						if(!otherSet.has(values[i])){
							return false;
						}
					}
					return true;
				}
			};
			//模拟并集
			let unionAb=new Set;
			for(let x of SetA).unionAb.add(x);
			for(let x of SetA).unionAb.add(x);
			//模拟交集
			let intersection=function(setA,setB){
				let intersectionSet=new Set();
				for(let x of SetA){
					if(setB.has(x)){
						intersectionSet.add(x);
					}
				}
				return intersectionSet;
			};
			//模拟差集
			let diffence=function(setA,setB){
				let diffenceSet=new Set();
				for(let x of SetA){
					if(!setB.has(x)){
						diffenceSet.add(x);
					}
				}
				return diffenceSet;
			};
			
		};

	</script>
</body>
</html>